/*
QUSOFT MICROSYSTMES
C Object Oriented Language

Classe: TRadioButton - Type RadioButton

Hirarchie:
TObject -> TComponent -> TCaptionedComponent -> TButton -> TCheckButton -> TRadioButton
*/

/**
 * La classe TRadioButton reprsente un bouton que l'utilisateur peut cocher.
 * Les RadioButtons font partie d'un rseau o seul un RadioButton peut tre coch
 *  la fois.
 @since Release 1.0
*/
public class TRadioButton extends TCheckButton {

	/**Le rseau auquel le RadioButton fait partie*/
	public TComponentNetwork network;

/**
 * Ce constructeur instancie un objet de Type RadioButton.
 @since Release 1.0
*/
public TRadioButton TRadioButton0 () {

	return new TRadioButton();
}

/**
 * Ce constructeur instancie un objet de Type RadioButton en
 * spcifiant le texte de l'tiquette.
 @param caption Le texte de l'tiquette
 @since Release 1.0
*/
public TRadioButton TRadioButton1 (TString caption) {
	
	return new RadioButton();
}

/**
 * Ce constructeur instancie un objet de Type RadioButton en
 * spcifiant le texte de l'tiquette  l'aide d'une chane de
 * caractres ANSI.
 @param caption Le texte de l'tiquette
 @since Release 1.0
*/
public TRadioButton TRadioButton2 (char[] caption) {
	
	return new TRadioButton();
}

/**
 * Ce constructeur instancie un objet de Type RadioButton en lui assignant
 * un rseau de RadioButtons et en spcifiant le texte de l'tiquette.
 @param caption Le texte de l'tiquette
 @param network Le rseau de RadioButtons
 @since Release 1.0
*/
public TRadioButton TRadioButton3 (TString caption, TComponentNetwork network) {
	
	return new TRadioButton();
}

/**
 * Ce constructeur instancie un objet de Type RadioButton en lui assignant
 * un rseau de RadioButtons et en spcifiant le texte de l'tiquette  l'aide
 * d'une chane de caractres ANSI.
 @param caption Le texte de l'tiquette
 @param network Le rseau de RadioButtons
 @since Release 1.0
*/
public TRadioButton TRadioButton4 (char[] caption, TComponentNetwork network) {
	
	return new TRadioButton();
}

/**
 * Cette mthode retourne un objet de Type RadioButton qui est une copie de l'objet.
 @return clone - Une copie de l'objet.
 @since Release 1.0
*/
public TRadioButton clone() {
	
	return new TRadioButton();
}

/**
 * Cette mthode libre l'espace mmoire occupe par l'objet, dtruisant ce dernier.
 @since Release 1.0
*/
public void finalize () {
}

/**
 * Cette mthode permet de cocher le bouton.
 @param checked Vrai si le composant doit tre coch
 @since Release 1.0
*/
public void setChecked (boolean checked) {
}
}