/*
QUSOFT MICROSYSTMES
C Object Oriented Language

Classe: TTextField - Type TextField

Hirarchie:
TObject -> TComponent -> TCaptionedComponent -> TTextField
*/

/**
 * La classe TTextField reprsente un champ texte.
 @since Release 1.0
*/
public class TTextField extends TCaptionedComponent {

	/**Indique si le texte est masqu*/
	public boolean masked;
	/**Le masque*/
	public char mask;

/**
 * Ce constructeur instancie un objet de Type TextField.
 @since Release 1.0
*/
public TTextField TTextField0 () {

	return new TTextField();
}

/**
 * Ce constructeur instancie un objet de Type TextField en
 * spcifiant le texte de l'tiquette.
 @param caption Le texte de l'tiquette
 @since Release 1.0
*/
public TTextField TTextField1 (TString caption) {
	
	return new TTextField();
}

/**
 * Ce constructeur instancie un objet de Type TextField en
 * spcifiant le texte de l'tiquette  l'aide d'une chane de
 * caractres ANSI.
 @param caption Le texte de l'tiquette
 @since Release 1.0
*/
public TTextField TTextField2 (char[] caption) {
	
	return new TTextField();
}

/**
 * Cette mthode retourne un objet de Type TextField qui est une copie de l'objet.
 @return clone - Une copie de l'objet.
 @since Release 1.0
*/
public TTextField clone() {
	
	return new TTextField();
}

/**
 * Cette mthode libre l'espace mmoire occupe par l'objet, dtruisant ce dernier.
 @since Release 1.0
*/
public void finalize () {
}

/**
 * Cette mthode affiche le composant  l'cran.
 @since Release 1.0
*/
public void print() {
}

/**
 * Cette mthode permet  l'utilisateur d'utiliser le composant.
 @since Release 1.0
*/
public void use() {
}

/**
 * Cette mthode permet de spcifier s'il y a prsence de masque ou non.
 @param masked Spcifie s'il y a prsence de masque
 @since Release 1.0
*/
public void setMasked(boolean masked) {
}

/**
 * Cette mthode permet de spcifier le masque.
 @param mask Le masque
 @since Release 1.0
*/
public void setMask(char mask) {
}
}